const { readdirSync } = require('fs');

/**
 * Rollup configuration to build correctly our scripts (nodejs scripts need to be cjs)
 */
module.exports = readdirSync('lib')
  .filter((file) => file.endsWith('.js'))
  .map((file) => ({
    input: `lib/${file}`,
    output: {
      file: `dist/${file}`,
      format: 'cjs',
      banner: '#!/usr/bin/env node',
    },
  }));
